#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>
#include <QLibrary>
#include <QStringList>

namespace Ui {
class Widget;
}

class Widget : public QWidget
{
    Q_OBJECT

public:
    explicit Widget(QWidget *parent = nullptr);
    ~Widget();

    void updateMarkStatus(int status);
    void updateMarkFinishInfo(int finishedCount,double time);

private slots:
    void onLoadLibrary();

    void on_initBtn_clicked();

    void on_selDocBtn_clicked();

    void on_selEntityTextBtn_clicked();

    void on_selEntityTextEditBtn_clicked();

    void on_startMarkBtn_clicked();

    void on_previewBtn_clicked();

    void on_stopBtn_clicked();

    void on_selEntityMarkBtn_clicked();

    void on_transformMarkBtn_clicked();

private:
    QLibrary *_p_library;
    QStringList _entityNames;

    Ui::Widget *ui;
};

#endif // WIDGET_H
